import request from '@/utils/request'
import constant from '@/constant'


function list() {
    return request.post(constant.serverUrl + "/business/startLottery/list");
}

function findByActivityId(formData) {
    return request.post(constant.serverUrl + "/business/startLottery/findByActivityId", formData);
  }

  function findWinningByActivityId(formData) {
    return request.post(constant.serverUrl + "/business/startLottery/findWinningByActivityId", formData);
  }

  function lotteryPersonnelList(formData) {
    return request.post(constant.serverUrl + "/business/startLottery/lotteryPersonnelList", formData);
  }

  function edit(id) {
    return request.get(constant.serverUrl + "/business/startLottery/edit/" + id);
  }

  function startLotteryAward(formData) {
    return request.post(constant.serverUrl + "/business/startLottery/startLotteryAward", formData);
  }

  function exportExcel(formData) {
    return request.post(constant.serverUrl + "/business/startLottery/exportExcel", formData);
  }
  
  
  
export default {
    list,findByActivityId,findWinningByActivityId,lotteryPersonnelList,edit,startLotteryAward,exportExcel
}